1. Ghost92

    Ghost92 GBAtemp Advanced Fan
    Member

    Joined:
    Jun 29, 2017
    Messages:
    712
    Country:
    Colombia
    I have tried to use Naninovel, but on Nintendo Switch it closes when I test it. Could someone try and see what causes the problem?
     
  2. Manurocker95

    Manurocker95 Game Developer & Pokémon Master
    Member

    Joined:
    May 29, 2016
    Messages:
    1,404
    Country:
    Spain
    It’s a 80 bucks asset xd
     
  3. DaPeZ

    DaPeZ Newbie
    Newcomer

    Joined:
    Jun 29, 2020
    Messages:
    5
    Country:
    France
    Hi ,

    I'm trying to set-up Unity for Switch, I have the 9.2 sdk (path set in environement variables).
    I now have the il2cpp errors when I try to build.

    I've looked for the Application.desc file, found one in sdk from 2017 (NintendoSDK_16.7) but it doesn't work.
    Can someone help me with this please? I would really like to have my school project running on my hacked switch.

    Thanks !
     
    Last edited by DaPeZ, Jun 30, 2020
    I pwned U! likes this.
  4. Independent1997

    Newcomer

    Joined:
    Jun 30, 2020
    Messages:
    4
    Country:
    United States
    I've got the same il2cpp problem, replaced Application.desc in the 9.2.0 sdk with the old one (16.7) but it still doesn't seem to work. Are we supposed to replace any other files/do anything else? Not sure where else to look for a different Application.desc file.

    EDIT: Using Unity 2019.4.1f1, with the corresponding Switch plugin
     
    Last edited by Independent1997, Jun 30, 2020
  5. Ghost92

    Ghost92 GBAtemp Advanced Fan
    Member

    Joined:
    Jun 29, 2017
    Messages:
    712
    Country:
    Colombia
    And only 3MB :rofl2:
     
  6. DaPeZ

    DaPeZ Newbie
    Newcomer

    Joined:
    Jun 29, 2020
    Messages:
    5
    Country:
    France
    I think the NintendoSDK_16.7 is too old, looked on 4chan for the 2018 one (4.5.0?) but can't find it (never used 4chan before maybe i'm doing wrong? I've tryied many keywords but no chance)
     
  7. Manurocker95

    Manurocker95 Game Developer & Pokémon Master
    Member

    Joined:
    May 29, 2016
    Messages:
    1,404
    Country:
    Spain
    Then you should ask nintendo for a devkit and sdk
     
  8. DaPeZ

    DaPeZ Newbie
    Newcomer

    Joined:
    Jun 29, 2020
    Messages:
    5
    Country:
    France
    Thanks for the help !
     
  9. Manurocker95

    Manurocker95 Game Developer & Pokémon Master
    Member

    Joined:
    May 29, 2016
    Messages:
    1,404
    Country:
    Spain
    If you can't find the 4.5 (that can't be linked here either), you are out of luck. You need to fix the 9.2 application.desc with the new dependencies or ask nintendo for the official one. that's it.
     
  10. DaPeZ

    DaPeZ Newbie
    Newcomer

    Joined:
    Jun 29, 2020
    Messages:
    5
    Country:
    France
    I know it can't be linked here and had no chance finding it (searched for it for 2 days), i'm going to try to fix the 9.2 one , thanks.
     
    I pwned U! likes this.
  11. Ghost92

    Ghost92 GBAtemp Advanced Fan
    Member

    Joined:
    Jun 29, 2017
    Messages:
    712
    Country:
    Colombia
    The SDK itself is obsolete not only for new versions of Unity, but also for the version of Horizon that it is currently on. It can be checked with .nsp samples within SDK 7.3.2. and 9.2.0.7 that are not running, or the DevMenu that no longer works in firmware 10.x.

    Even so, applications made in Unity are still compatible, although there are usually many failures for the same reason. For example, lack of overclocking is not available in the documentation (only overclocking is mentioned in the DevKit).

    Perhaps the most current SDK has a number greater than 10.x, there is, at the moment, no way to obtain it unofficially.
     
    DaPeZ likes this.
  12. ZachyCatGames

    ZachyCatGames GBAtemp Addict
    Member

    Joined:
    Jun 19, 2018
    Messages:
    2,719
    Country:
    United States
    That devmenu also doesn't work on retail 9.x fwiw (unless you're smart enough to figure out why/how ;) )

    Latest version publicly known to exist is 10.4.0.0 iirc, latest is newer than that.
     
  13. Ghost92

    Ghost92 GBAtemp Advanced Fan
    Member

    Joined:
    Jun 29, 2017
    Messages:
    712
    Country:
    Colombia
    Well, with this I have been able to test the inputs of the Joy-Con (HID)

    Here is a sample of HD Vibration simulating the Majoras Mask bells



    a sample of an audio player



    on video players, it failed to run YouTube playback. Somehow the console blocks the streaming of videos, I'm not sure.
     
  14. Independent1997

    Newcomer

    Joined:
    Jun 30, 2020
    Messages:
    4
    Country:
    United States
    Well I got it to compile using the old Application.desc and setting "SystemResourceSize" to 0 in unity. After unpacking and re-packing I got it to install, but I keep getting "Unable to start software" when launching it. Might be because I set systemresourcesize to 0, idk. At this point I'll probably just finish developing my game and hope Nintendo is feeling generous.
     
  15. Manurocker95

    Manurocker95 Game Developer & Pokémon Master
    Member

    Joined:
    May 29, 2016
    Messages:
    1,404
    Country:
    Spain
    You can also use Rewired/Incontrol that makes everything out of the box. Need to test my custom YT videoplayer but I think it's blocked for avoiding a 3ds-like exploit
     
  16. vommetal

    vommetal Newbie
    Newcomer

    Joined:
    Jun 11, 2020
    Messages:
    5
    Country:
    Spain
    i don't know if im doing something wrong but when i import the incontrol package i get thi error in the console;

    Assets\InControl\Source\InputManager.cs(178,8): error CS0103: The name 'NintendoSwitchInputDeviceManager' does not exist in the current context

    can you help please how to do it work ?¿?
    thanks
     
  17. Manurocker95

    Manurocker95 Game Developer & Pokémon Master
    Member

    Joined:
    May 29, 2016
    Messages:
    1,404
    Country:
    Spain
    As you can imagine, you need the NintendoSwitchInputDeviceManager xD
     
  18. vommetal

    vommetal Newbie
    Newcomer

    Joined:
    Jun 11, 2020
    Messages:
    5
    Country:
    Spain
    oko thank you i'll try to find it
     
  19. Manurocker95

    Manurocker95 Game Developer & Pokémon Master
    Member

    Joined:
    May 29, 2016
    Messages:
    1,404
    Country:
    Spain
    You can only get it login into Nintendo's Switch developer portal or make your own. It is easy to make, just take a look at Xbox one and just port the stuff to nn.hid.
     
  20. vommetal

    vommetal Newbie
    Newcomer

    Joined:
    Jun 11, 2020
    Messages:
    5
    Country:
    Spain
    thank you for the clue¡¡ :)
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - building, Trouble, Unity3D